Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class InvalidPasswordException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.exception.InvalidPasswordException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidPasswordException

extends jet.JSException
implements java.io.Serializable

Invalid Password Exception

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`InvalidPasswordException(boolean isAdvancedPasswordLimitedMinLength, int passwordMinLength, boolean isAdvancedPasswordContainsUppercase, boolean isAdvancedPasswordContainsLowercase, boolean isAdvancedPasswordContainsNumber, boolean isAdvancedPasswordContainsSymbols)`
`InvalidPasswordException(int msgKey)` Constructs a new `InvalidPasswordException` with the specified message, the cause is not initialized.
`InvalidPasswordException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detailed message and cause.
`InvalidPasswordException(int msgKey, java.lang.Throwable cause)` Constructs a new `InvalidPasswordException` with the specified detailed message and cause.
`InvalidPasswordException(java.lang.String msg)` Constructs a new `InvalidPasswordException` with the specified message, the cause is not initialized.
`InvalidPasswordException(java.lang.Throwable cause)` Constructs a new `InvalidPasswordException` with the specified cause and a `null`message.``

Method Summary
`java.lang.String` | `getNLSMessage(javax.servlet.http.HttpServletRequest req)` Get InvalidPasswordExcetpion NLS message according to locale in request.

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPasswordException

    public InvalidPasswordException(int msgKey,
                                    java.lang.Object[] params,
                                    java.lang.Throwable cause)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

### InvalidPasswordException

    public InvalidPasswordException(int msgKey,
                                    java.lang.Throwable cause)

  Constructs a new `InvalidPasswordException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key.
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### InvalidPasswordException

    public InvalidPasswordException(int msgKey)

  Constructs a new `InvalidPasswordException` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key.

### InvalidPasswordException

    public InvalidPasswordException(java.lang.String msg)

  Constructs a new `InvalidPasswordException` with the specified message, the cause is not initialized.

  Parameters:
    `msg` - the detailed message.

### InvalidPasswordException

    public InvalidPasswordException(java.lang.Throwable cause)

  Constructs a new `InvalidPasswordException` with the specified cause and a `null`message.

  Parameters:
    `cause` - the cause.
  ``

### InvalidPasswordException

    public InvalidPasswordException(boolean isAdvancedPasswordLimitedMinLength,
                                    int passwordMinLength,
                                    boolean isAdvancedPasswordContainsUppercase,
                                    boolean isAdvancedPasswordContainsLowercase,
                                    boolean isAdvancedPasswordContainsNumber,
                                    boolean isAdvancedPasswordContainsSymbols)

Method Detail

### getNLSMessage

    public java.lang.String getNLSMessage(javax.servlet.http.HttpServletRequest req)

  Get InvalidPasswordExcetpion NLS message according to locale in request.

  This method only used for `InvalidPasswordException(boolean, int, boolean, boolean, boolean, boolean)` to new object.

  Parameters:
    `req` -
  Returns:
    NLS Exception Message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD